ChangeSet 1.1938.439.44, 2005/01/06 13:53:47-08:00, mhoffman@lightlink.com

[PATCH] I2C: probe fewer addresses for asb100 (sensors) driver

This patch limits SMBus scanning for the asb100 sensor chip
to just one address - the only one we've ever seen in practice.

Signed-off-by Mark M. Hoffman <mhoffman@lightlink.com>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/i2c/chips/asb100.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)


diff -Nru a/drivers/i2c/chips/asb100.c b/drivers/i2c/chips/asb100.c
--- a/drivers/i2c/chips/asb100.c	2005-01-07 14:54:56 -08:00
+++ b/drivers/i2c/chips/asb100.c	2005-01-07 14:54:56 -08:00
@@ -56,8 +56,7 @@
 #define ASB100_VERSION "1.0.0"
 
 /* I2C addresses to scan */
-static unsigned short normal_i2c[] = { 0x28, 0x29, 0x2a, 0x2b, 0x2c, 0x2d,
-					0x2e, 0x2f, I2C_CLIENT_END };
+static unsigned short normal_i2c[] = { 0x2d, I2C_CLIENT_END };
 
 /* ISA addresses to scan (none) */
 static unsigned int normal_isa[] = { I2C_CLIENT_ISA_END };
